% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/createPrior.default.R
\name{createPrior.default}
\alias{createPrior.default}
\title{Create prior default method}
\usage{
\method{createPrior}{default}(x, wt, ...)
}
\arguments{
\item{x}{a vector of x values at which the prior is to be specified (the support of the prior). This should contain
unique values in ascending order. The function will sort values if x is unsorted with a warning, and will halt if x contains any
duplicates or negative lag 1 differences.}

\item{wt}{a vector of weights corresponding to the weight of the prior at the
given x values.}

\item{\dots}{optional exta arguments. Not currently used.}
}
\value{
a linear interpolation function where the weights have been scaled so
  the function (numerically) integrates to 1.
}
\description{
Create prior default method
}
